lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shalin Shekhar Mangar <shalinman...@gmail.com>
Subject Re: [VOTE] Move to Java 7 in Lucene/Solr 4.8, use Java 8 in trunk (once officially released)
Date Sun, 09 Mar 2014 05:12:12 GMT
On Sat, Mar 8, 2014 at 9:47 PM, Uwe Schindler <uwe@thetaphi.de> wrote:
>
> [.] Move Lucene/Solr 4.8 (means branch_4x) to Java 7 and backport all Java 7-related
issues (FileChannel improvements, diamond operator,...).

+1

> [.] Move Lucene/Solr trunk to Java 8 and allow closures in source code. This would make
some APIs much nicer. Our infrastructure mostly supports this, only ECJ Javadoc linting is
not yet possible, but forbidden-apis supports Java 8 with all its crazy new stuff.

-1

I think it is too early. Unfortunately organizations don't move as
fast as us in these things. Let us have this vote when we actually
want to release 5.0.

-- 
Regards,
Shalin Shekhar Mangar.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message